Skip to main content
POST
/
api
/
v1
/
subscription_details
/
assign-to-child
Assign subscriptions to child client (multi-tenant)
curl --request POST \
  --url https://api.raul.ugps.io/api/v1/subscription_details/assign-to-child \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "parent_client_id": "<string>",
  "child_client_id": "<string>",
  "subscription_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api.raul.ugps.io/api/v1/subscription_details/assign-to-child"

payload = {
"parent_client_id": "<string>",
"child_client_id": "<string>",
"subscription_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parent_client_id: '<string>',
child_client_id: '<string>',
subscription_ids: ['<string>']
})
};

fetch('https://api.raul.ugps.io/api/v1/subscription_details/assign-to-child', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "count": 123,
  "child_client_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
parent_client_id
string
required

Parent client ID (subscription owner)

child_client_id
string
required

Child client ID to assign subscriptions to

subscription_ids
string[]
required

Subscription IDs to assign

Response

Subscriptions assigned successfully

success
boolean
required
message
string
required
count
number
required
child_client_id
string
required